package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.CooperationOrgan;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface CooperationOrganService extends BaseService<Integer, CooperationOrgan> {

    /**
     * 根据机构编号获取合作单位(教学点)列表
     *
     * @param organId
     * @return
     */
    List<CooperationOrgan> queryByOrganId(String organId);


    /**
     * 获取合作单位乐团的学校缴费
     *
     * @param id
     * @return
     */
    List<MusicGroupPaymentCalender> getCooperationOrganCalender4School(Integer id);

    void updateCooperation(CooperationOrgan cooperationOrgan);

    void updateCooperationEdu(List<Integer> organIds);

}